# coding: utf-8
require 'sinatra'
require 'sinatra/reloader' if development?

configure do
  set :donors, [
        { name: 'Василий', blood_type: 'II', factor: 'положительный', volume: 2 },
        { name: 'Пётр', blood_type: 'I', factor: 'отрицательный', volume: 1 },
      ]
end

get '/' do
  @donors = settings.donors
  erb :index
end

get '/new' do
  erb :new
end

post '/new' do
  settings.donors.push(
    name: params['name'],
    blood_type: params['blood_type'],
    factor: params['factor'],
    volume: params['volume'].to_i
  )
  redirect to('/')
end
